/* Override litepicker Style*/


:root {
	--litepicker-day-width: 40px;
	--litepicker-button-prev-month-color-hover: var(--button-color) !important;
    --litepicker-button-next-month-color-hover: var(--button-color) !important;
}
div.litepicker {
	font-family: var(--font-family-default);
}
div.litepicker div.container__months {
	background-color: var(--form-background);
	box-shadow: none;
	border-top-left-radius: var(--border-radius);
	border-top-right-radius: var(--border-radius);
	border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}
.litepicker .container__months .month-item-header .button-next-month:hover, .litepicker .container__months .month-item-header .button-previous-month:hover {
    color: var(--button-color);
    background: none;
    cursor: pointer;
	outline: none;
	border: none;
}


form .litepicker .container__days .day-item.is-start-date {
	background-color: var(--beon-green-color);
	color: var(--beon-form-background) !important;
	/* border-radius: 50% 0 0 50% !important; */
    position: relative;
    z-index: 99;
}
form .litepicker .container__days .day-item.is-in-range {
	background-color: #cbf7cd;
    border-radius: 0;
	color: var(--beon-form-background) !important;
}

form .litepicker .container__days .day-item.is-start-date.is-end-date{
	/* border-radius: 50% !important; */
}
.litepicker .container__days .day-item.is-locked, .litepicker .container__days .day-item.is-locked:hover{
	color: #c9cbcf !important;
	background-color: #F6F7F8 !important;
	border-color: transparent !important;
	cursor: not-allowed;
}

form .litepicker .container__days .day-item.is-end-date {
	background-color: var(--beon-green-color);
	color: var(--beon-form-background) !important;
	/* border-radius: 0 50% 50% 0 !important; */
    position: relative;
    z-index: 99;
}
form .litepicker .container__days .day-item:hover {
	box-shadow: none;
	color: #FFF !important;
	cursor: pointer;
	background-color: var(--beon-green-color);
}


.litepicker .container__months .month-item-header div>.month-item-name, .litepicker .container__months .month-item-header div>.month-item-year{
	font-size:var(--beon-regular-font-size);
	color:var(--beon-text-darkgrey-color);
	text-transform:uppercase;
	font-weight: 400;
}

.litepicker .container__months .month-item-weekdays-row>div, .litepicker .container__days .day-item{
	font-size:12px !important;
	color:var(--beon-text-darkgrey-color);
	font-weight: 700;
}

.litepicker .container__days .day-item{
	font-weight:400;
	border:1px solid var(--beon-green-color);
	border-radius: 0px !important;
	color:var(--beon-green-color) !important;
	font-size: 16px !important;
	margin: 1px;
    width: 36px;
}

.litepicker .container__days .day-item.is-start-date:before, .litepicker .container__days .day-item.is-end-date:before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: var(--beon-green-color);
    /* border-radius: 50%; */
    z-index: -1;
}

/* .litepicker .container__days{
	gap:2px !important;
} */